declare const _sfc_main: import("vue").DefineComponent<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    smPoster: {
        type: StringConstructor;
        required: false;
    };
    mdPoster: {
        type: StringConstructor;
        required: false;
    };
    lgPoster: {
        type: StringConstructor;
        required: false;
    };
    xlPoster: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
}, {
    props: any;
    video: import("vue").Ref<HTMLVideoElement | undefined>;
    videoSrc: import("vue").ComputedRef<string | undefined>;
    playing: import("vue").Ref<boolean>;
    setPlaying: (value: boolean) => void;
    togglePlay: () => void;
    isVideoPlaying: (video: HTMLVideoElement) => boolean;
    UiPicture: import("vue").DefineComponent<{
        src: {
            type: StringConstructor;
            required: false;
        };
        smSrc: {
            type: StringConstructor;
            required: false;
        };
        mdSrc: {
            type: StringConstructor;
            required: false;
        };
        lgSrc: {
            type: StringConstructor;
            required: false;
        };
        xlSrc: {
            type: StringConstructor;
            required: false;
        };
        alt: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        requestWidth: {
            type: NumberConstructor;
            required: false;
        };
        requestHeight: {
            type: NumberConstructor;
            required: false;
        };
        loadingWidth: {
            type: StringConstructor;
            required: false;
        };
        loadingHeight: {
            type: StringConstructor;
            required: false;
        };
        quality: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        useResolutions: {
            type: BooleanConstructor;
            required: false;
        };
        srcsetMaxResolution: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        hideImageOnError: {
            type: BooleanConstructor;
            required: false;
        };
        imageRatio: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        errorImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
    }, {
        props: any;
        shouldUseDefaultImage: import("vue").ComputedRef<boolean>;
        imageResizeAvailable: import("vue").ComputedRef<boolean>;
        createImageUrl: (src?: string | undefined, width?: number | undefined, height?: number | undefined) => string | undefined;
        createSrcSet: (src?: string | undefined) => string | undefined;
        responsiveSrc: import("vue").ComputedRef<import("./UiPictureModel").ResponsiveSrc>;
        hasImage: import("vue").ComputedRef<boolean>;
        defaultImageSrc: import("vue").ComputedRef<string | undefined>;
        shouldLoad: import("vue").Ref<boolean>;
        startLoadImage: () => void;
        imageLoaded: import("vue").Ref<boolean>;
        setImageLoaded: () => void;
        imageWidth: import("vue").ComputedRef<string | undefined>;
        imageHeight: import("vue").ComputedRef<string | undefined>;
        loadFailed: import("vue").Ref<boolean>;
        setLoadFailed: () => void;
        errorImageUrl: import("vue").ComputedRef<string | undefined>;
        blankImageUrl: import("vue").ComputedRef<string | undefined>;
        imageDisplay: import("vue").ComputedRef<string | undefined>;
        readonly vLazy: import("vue").Directive<any, any>;
        readonly vPreventCopy: import("vue").Directive<any, any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("pictureMouseover" | "pictureMouseleave")[], "pictureMouseover" | "pictureMouseleave", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        src: {
            type: StringConstructor;
            required: false;
        };
        smSrc: {
            type: StringConstructor;
            required: false;
        };
        mdSrc: {
            type: StringConstructor;
            required: false;
        };
        lgSrc: {
            type: StringConstructor;
            required: false;
        };
        xlSrc: {
            type: StringConstructor;
            required: false;
        };
        alt: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        requestWidth: {
            type: NumberConstructor;
            required: false;
        };
        requestHeight: {
            type: NumberConstructor;
            required: false;
        };
        loadingWidth: {
            type: StringConstructor;
            required: false;
        };
        loadingHeight: {
            type: StringConstructor;
            required: false;
        };
        quality: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        useResolutions: {
            type: BooleanConstructor;
            required: false;
        };
        srcsetMaxResolution: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        hideImageOnError: {
            type: BooleanConstructor;
            required: false;
        };
        imageRatio: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        errorImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
    }>> & {
        onPictureMouseover?: ((...args: any[]) => any) | undefined;
        onPictureMouseleave?: ((...args: any[]) => any) | undefined;
    }, {
        quality: number;
        lazy: boolean;
        preventCopy: boolean;
        srcsetMaxResolution: number;
        hideImageOnError: boolean;
        imageRatio: number;
        errorImage: string;
        blankImage: string;
        useResolutions: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    smPoster: {
        type: StringConstructor;
        required: false;
    };
    mdPoster: {
        type: StringConstructor;
        required: false;
    };
    lgPoster: {
        type: StringConstructor;
        required: false;
    };
    xlPoster: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
}>>, {
    lazy: boolean;
    autoplay: boolean;
    controls: boolean;
    loop: boolean;
    muted: boolean;
    cover: boolean;
    playsinline: boolean;
}>;
export default _sfc_main;
